Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class LibraryHandle

    java.lang.Object
      org.eclipse.birt.report.model.api.DesignElementHandle
          org.eclipse.birt.report.model.api.ModuleHandleImpl
              org.eclipse.birt.report.model.api.ModuleHandle
                  org.eclipse.birt.report.model.api.LibraryHandle

All Implemented Interfaces:
  IModuleModel, org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel, org.eclipse.birt.report.model.elements.interfaces.ILibraryModel

    public class LibraryHandle

extends ModuleHandle
implements org.eclipse.birt.report.model.elements.interfaces.ILibraryModel

Represents the handle of library element. The library contains the resuable element components.

Content Item | Description
Code Modules | Global scripts that apply to the report as a whole.
Parameters | A list of Parameter elements that describe the data that the user can enter when running the report.
Data Sources | The connections used by the report.
Data Sets | Data sets defined in the design.
Color Palette | A set of custom color names as part of the design.
Styles | User-defined styles used to format elements in the report. Each style must have a unique name within the set of styles for this report.
Page Setup | The layout of the master pages within the report.
Components | Reusable report items defined in this design. Report items can extend these items. Defines a "private library" for this design.
Translations | The list of externalized messages specifically for this report.
Images | A list of images embedded in this report.

There are two cases that this library handle represents:

- the library file that user opens directly
  In this case, user can take operations as same as design file.
- the library file that is included in one design file
  User can not take operations, because the included library file is read-only. Any operation on the library file of this type will throw runtime exception.

Field Summary

Fields inherited from class org.eclipse.birt.report.model.api.ModuleHandleImpl
`isInitialized`

Fields inherited from class org.eclipse.birt.report.model.api.DesignElementHandle
`module`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.ILibraryModel
`CUBE_SLOT, SLOT_COUNT, THEMES_SLOT`

Fields inherited from interface org.eclipse.birt.report.model.api.core.IModuleModel
`AUTHOR_PROP, BASE_PROP, COLOR_PALETTE_PROP, COMPONENT_SLOT, CONFIG_VARS_PROP, CREATED_BY_PROP, DATA_SET_SLOT, DATA_SOURCE_SLOT, DESCRIPTION_ID_PROP, DESCRIPTION_PROP, HELP_GUIDE_PROP, IMAGES_PROP, INCLUDE_RESOURCE_PROP, INCLUDE_SCRIPTS_PROP, INITIALIZE_METHOD, LIBRARIES_PROP, PAGE_SLOT, PARAMETER_SLOT, PROPERTY_BINDINGS_PROP, SCRIPTLIBS_PROP, SUBJECT_PROP, THEME_PROP, TITLE_ID_PROP, TITLE_PROP, UNITS_PROP`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel
`COMMENTS_PROP, CUSTOM_XML_PROP, DISPLAY_NAME_ID_PROP, DISPLAY_NAME_PROP, EVENT_HANDLER_CLASS_PROP, EXTENDS_PROP, FULL_LABEL, ID_SUFFIX, NAME_PROP, NEW_HANDLER_ON_EACH_EVENT_PROP, NO_SLOT, PROPERTY_MASKS_PROP, REF_TEMPLATE_PARAMETER_PROP, SHORT_LABEL, USER_LABEL, USER_PROPERTIES_PROP, VIEW_ACTION_PROP`

Constructor Summary
`LibraryHandle(org.eclipse.birt.report.model.elements.Library library)` Constructs one library handle with the given library element.

Method Summary
`void` | `addConfigVariable(ConfigVariable configVar)` Adds a new config variable.
`void` | `addImage(EmbeddedImage image)` Adds a new embedded image.
`void` | `addTranslation(java.lang.String resourceKey, java.lang.String locale, java.lang.String text)` Adds a new translation to the design.
`void` | `dropConfigVariable(java.lang.String name)` Drops a config variable.
`void` | `dropImage(java.util.List images)` Drops an embedded image handle list from the design.
`void` | `dropImage(java.lang.String name)` Drops an embedded image from the design.
`void` | `dropLibrary(LibraryHandle library)` Drops the given library from the included libraries of this design file.
`void` | `dropLibraryAndBreakExtends(LibraryHandle library)` Drops the given library from the design and break all the parent/child relationships.
`void` | `dropTranslation(java.lang.String resourceKey, java.lang.String locale)` Drops a translation from the design.
`java.util.List` | `getAllPages()` Returns all page handles that this modules and the included modules contain.
`java.util.List` | `getAllStyles()` Returns all style element handles that this modules and the included modules contain.
`SlotHandle` | `getComponents()` Returns a slot handle to work with the top-level components within the report.
`SlotHandle` | `getCubes()` Gets the slot handle to work with all cube elements within the report.
`SlotHandle` | `getDataSets()` Returns a slot handle to work with the data sets within the report.
`SlotHandle` | `getDataSources()` Returns a slot handle to work with the data sources within the report.
`java.util.List` | `getFlattenParameters()` Returns the flatten Parameters/ParameterGroups of the design.
`ModuleHandle` | `getHostHandle()` Returns the host handle which includes the library.
`SlotHandle` | `getMasterPages()` Returns a slot handle to work with the master pages within the report.
`java.lang.String` | `getNamespace()` Returns the library namespace, which identifies one library unqiuely in one design file.
`SlotHandle` | `getParameters()` Returns a slot handle to work with the top-level parameters and parameter groups within the report.
`java.util.List` | `getParametersAndParameterGroups()` Returns parameters and parameter groups on the module.
`java.lang.String` | `getRelativeFileName()` If this library is included by a module, return the relative file name that is defined in the host's xml file.
`SlotHandle` | `getStyles()` Deprecated. uses the theme instead
`SlotHandle` | `getThemes()` Returns a slot handle to work with the themes within the library.
`java.util.List<ReportItemThemeHandle>` | `getVisibleReportItemThemes(int level, java.lang.String type)` Returns report item theme handles according the input level.
`java.util.List` | `getVisibleThemes(int level)` Returns theme handles according the input level.
`java.util.Iterator` | `imagesIterator()` Returns the iterator over all embedded images of this module instance.
`void` | `importCssStyles(CssStyleSheetHandle stylesheet, java.util.List selectedStyles)` Import css file to theme.
`void` | `importCssStyles(CssStyleSheetHandle stylesheet, java.util.List selectedStyles, java.lang.String themeName)` Imports the selected styles in a `CssStyleSheetHandle` to the given theme of the library.
`java.util.Iterator` | `includeLibrariesIterator()` Returns the iterator over all included libraries.
`void` | `includeLibrary(java.lang.String libraryFileName, java.lang.String namespace)` Includes one library with the given library file name.
`boolean` | `isDirectionRTL()` Examines whether the resolved direction of this design element is Right to Left or not.
`CssStyleSheetHandle` | `openCssStyleSheet(java.io.InputStream is)` Gets the result style sheet with given file name of an external CSS2 resource.
`CssStyleSheetHandle` | `openCssStyleSheet(java.lang.String fileName)` Gets the result style sheet with given file name of an external CSS2 resource.
`void` | `reloadLibraries()` Reloads all libraries this module included.
`void` | `reloadLibrary(LibraryHandle libraryToReload)` Reloads the library with the given library file path.
`void` | `reloadLibrary(java.lang.String reloadPath)` Reloads the library with the given library file path.
`void` | `replaceConfigVariable(ConfigVariable oldVar, ConfigVariable newVar)` Replaces the old config variable with the new one.
`void` | `replaceImage(EmbeddedImage oldVar, EmbeddedImage newVar)` Replaces the old embedded image with the new one.
`void` | `setTheme(ThemeHandle theme)` Sets the theme to a report.
`void` | `setThemeName(java.lang.String themeName)` Sets the theme to a report.
`void` | `shiftLibrary(LibraryHandle library, int toPosn)` Shifts the library to new position.

Methods inherited from class org.eclipse.birt.report.model.api.ModuleHandleImpl
`addAttributeListener, addDisposeListener, addIncludeScript, addResourceChangeListener, addScriptLib, addValidationListener, checkReport, checkReportIfNecessary, close, configVariablesIterator, copy, customColorsIterator, drop, dropAllScriptLibs, dropAndClear, dropIncludeScript, dropScriptLib, dropScriptLib, findCascadingParameterGroup, findColor, findConfigVariable, findCube, findDataSet, findDataSource, findElement, findImage, findJointDataSet, findLevel, findLibrary, findMasterPage, findNativeStyle, findParameter, findReportItemTheme, findResource, findResource, findScriptLib, findStyle, findTemplateDataSet, findTheme, generateHandleList, getAllCubes, getAllDataSets, getAllDataSources, getAllImages, getAllIncludeScripts, getAllLibraries, getAllParameters, getAllScriptLibs, getAllSharedDimensions, getAuthor, getCommandStack, getComments, getCreatedBy, getDefaultUnits, getDescription, getDescriptionKey, getDisplayDescription, getElement, getElementByID, getErrorList, getFileEncoding, getFileName, getHelpGuide, getIncludeResource, getIncludeResources, getInitialize, getLibraries, getLibraries, getLibrary, getLineNo, getLineNoByID, getMessage, getMessage, getMessage, getMessageKeys, getNativeStructureList, getResourceFolder, getSubject, getSymbolicName, getSystemId, getTheme, getTitle, getTitleKey, getTranslation, getTranslationKeys, getTranslations, getVersion, getVisibleCubes, getVisibleDataSets, getVisibleDataSources, getVisibleImages, getVisibleModules, getWarningList, includeScriptsIterator, initializeModule, isInclude, isReadOnly, needsSave, onSave, removeAttributeListener, removeDisposeListener, removeResourceChangeListener, removeValidationListener, rename, rename, rename, save, saveAs, scriptLibsIterator, serialize, setAuthor, setComments, setCreatedBy, setDefaultUnits, setDescription, setDescriptionKey, setFileName, setHelpGuide, setIncludeResource, setIncludeResources, setInitialize, setResourceFolder, setSubject, setSymbolicName, setTitle, setTitleKey, shifIncludeScripts, shiftScriptLibs, sortVisibleElements`

Methods inherited from class org.eclipse.birt.report.model.api.DesignElementHandle
`add, add, addElement, addElement, addListener, addUserPropertyDefn, cachePropertyHandles, canContain, canContain, canContain, canContain, canDrop, canEdit, canTransformToTemplate, clearAllProperties, clearContents, clearProperty, clientsIterator, copyPropertyTo, createTemplateElement, derivedIterator, doSort, drop, drop, dropAndClear, dropAndClear, dropUserPropertyDefn, findContentSlot, getBooleanProperty, getChoices, getColorProperty, getContainer, getContainerPropertyHandle, getContainerSlotHandle, getContent, getContentCount, getContents, getDefn, getDesign, getDesignHandle, getDimensionProperty, getDisplayLabel, getDisplayLabel, getDisplayProperty, getEffectiveModule, getElementFactory, getElementProperty, getEventHandlerClass, getExpressionProperty, getExtends, getExternalizedValue, getExternalizedValue, getExternalizedValue, getFactoryElementHandle, getFactoryPropertyHandle, getFloatProperty, getFontProperty, getFullName, getHostViewHandle, getID, getIndex, getIntProperty, getListProperty, getListProperty, getMethods, getModule, getModuleHandle, getName, getNumberProperty, getPrivateStyle, getProperty, getPropertyBinding, getPropertyBindingExpression, getPropertyBindings, getPropertyDefn, getPropertyHandle, getPropertyIterator, getQualifiedName, getRoot, getSemanticErrors, getSlot, getStringProperty, getStyle, getUserProperties, getUserPropertyDefnHandle, getXPath, hasLocalProperties, hasSemanticError, initializeSlotHandles, isInTemplateParameter, isTemplateParameterValue, isValid, localize, move, move, moveTo, moveTo, moveTo, moveTo, newHandlerOnEachEvent, paste, paste, paste, paste, removeListener, revertToReportItem, revertToTemplate, semanticCheck, setBooleanProperty, setEncryption, setEventHandlerClass, setExpressionProperty, setExtends, setExtendsElement, setExtendsName, setFloatProperty, setIntProperty, setName, setNewHandlerOnEachEvent, setNumberProperty, setProperties, setProperty, setPropertyBinding, setPropertyBinding, setStringProperty, setStyle, setStyleElement, setStyleName, setValid, shift, showError, slotsIterator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LibraryHandle

    public LibraryHandle(org.eclipse.birt.report.model.elements.Library library)

  Constructs one library handle with the given library element.

  Parameters:
    `library` - library element

Method Detail

### getHostHandle

    public ModuleHandle getHostHandle()

  Returns the host handle which includes the library.

  Returns:
    the host handle which include this library.

### getNamespace

    public java.lang.String getNamespace()

  Returns the library namespace, which identifies one library unqiuely in one design file.

  Returns:
    the library namespace

### getThemes

    public SlotHandle getThemes()

  Returns a slot handle to work with the themes within the library. Note that the order of the data sets within the slot is unimportant.

  Returns:
    A handle for working with the themes.

### getStyles

    public SlotHandle getStyles()

  Deprecated. uses the theme instead

  Returns a slot handle to work with the styles within the library.

  Returns:
    A handle for working with the styles. Or `null` if the library has no values for the theme property

### importCssStyles

    public void importCssStyles(CssStyleSheetHandle stylesheet,
                                java.util.List selectedStyles)

  Import css file to theme.

  Overrides:
    `importCssStyles` in class `ModuleHandleImpl`
  Parameters:
    `stylesheet` - the style sheet handle that contains all the selected styles
    `selectedStyles` - the selected style list

### importCssStyles

    public void importCssStyles(CssStyleSheetHandle stylesheet,
                                java.util.List selectedStyles,
                                java.lang.String themeName)

  Imports the selected styles in a `CssStyleSheetHandle` to the given theme of the library. Each in the list is instance of `SharedStyleHandle` .If any style selected has a duplicate name with that of one style already existing in the report design, this method will rename it and then add it to the design.

  Parameters:
    `stylesheet` - the style sheet handle that contains all the selected styles
    `selectedStyles` - the selected style list
    `themeName` - the name of the theme to put styles

### getCubes

    public SlotHandle getCubes()

  Description copied from class: `ModuleHandleImpl`
  Gets the slot handle to work with all cube elements within the report.

  Specified by:
    `getCubes` in class `ModuleHandleImpl`
  Returns:
    cube slot handle

### getRelativeFileName

    public java.lang.String getRelativeFileName()

  If this library is included by a module, return the relative file name that is defined in the host's xml file.

  Returns:
    the relative file name that is defined in the host's xml file

### isDirectionRTL

    public boolean isDirectionRTL()

  Description copied from class: `DesignElementHandle`
  Examines whether the resolved direction of this design element is Right to Left or not.

  Overrides:
    `isDirectionRTL` in class `DesignElementHandle`
  Returns:
    true if the direction is RTL, false otherwise

### addConfigVariable

    public void addConfigVariable(ConfigVariable configVar)
                           throws SemanticException

  Description copied from class: `ModuleHandleImpl`
  Adds a new config variable.

  Overrides:
    `addConfigVariable` in class `ModuleHandleImpl`
  Parameters:
    `configVar` - the config variable
  Throws:
    `SemanticException` - if the name is empty or the same name exists.

### addImage

    public void addImage(EmbeddedImage image)
                  throws SemanticException

  Description copied from class: `ModuleHandleImpl`
  Adds a new embedded image.

  Overrides:
    `addImage` in class `ModuleHandleImpl`
  Parameters:
    `image` - the image to add
  Throws:
    `SemanticException` - if the name is empty, type is invalid, or the same name exists.

### addTranslation

    public void addTranslation(java.lang.String resourceKey,
                               java.lang.String locale,
                               java.lang.String text)
                        throws CustomMsgException

  Description copied from class: `ModuleHandleImpl`
  Adds a new translation to the design.

  Overrides:
    `addTranslation` in class `ModuleHandleImpl`
  Parameters:
    `resourceKey` - resource key for the message
    `locale` - the string value of a locale for the translation. Locale should be in java-defined format( en, en-US, zh_CN, etc.)
    `text` - translated text for the locale
  Throws:
    `CustomMsgException` - if the resource key is duplicate or missing, or locale is not a valid format.
  See Also:
    `ModuleHandleImpl.getTranslation(String, String)`

### dropConfigVariable

    public void dropConfigVariable(java.lang.String name)
                            throws SemanticException

  Description copied from class: `ModuleHandleImpl`
  Drops a config variable.

  Overrides:
    `dropConfigVariable` in class `ModuleHandleImpl`
  Parameters:
    `name` - config variable name
  Throws:
    `SemanticException` - if no config variable is found.

### dropImage

    public void dropImage(java.util.List images)
                   throws SemanticException

  Description copied from class: `ModuleHandleImpl`
  Drops an embedded image handle list from the design. Each one in the list is the instance of `EmbeddedImageHandle`.

  Overrides:
    `dropImage` in class `ModuleHandleImpl`
  Parameters:
    `images` - the image handle list to remove
  Throws:
    `SemanticException` - if any image in the list is not found.

### dropImage

    public void dropImage(java.lang.String name)
                   throws SemanticException

  Description copied from class: `ModuleHandleImpl`
  Drops an embedded image from the design.

  Overrides:
    `dropImage` in class `ModuleHandleImpl`
  Parameters:
    `name` - the image name
  Throws:
    `SemanticException` - if the image is not found.

### dropTranslation

    public void dropTranslation(java.lang.String resourceKey,
                                java.lang.String locale)
                         throws CustomMsgException

  Description copied from class: `ModuleHandleImpl`
  Drops a translation from the design.

  Overrides:
    `dropTranslation` in class `ModuleHandleImpl`
  Parameters:
    `resourceKey` - resource key of the message in which this translation saves.
    `locale` - the string value of the locale for a translation. Locale should be in java-defined format( en, en-US, zh_CN, etc.)
  Throws:
    `CustomMsgException` - if `resourceKey` is `null`.
  See Also:
    `ModuleHandleImpl.getTranslation(String, String)`

### getComponents

    public SlotHandle getComponents()

  Description copied from class: `ModuleHandleImpl`
  Returns a slot handle to work with the top-level components within the report.

  Overrides:
    `getComponents` in class `ModuleHandleImpl`
  Returns:
    A handle for working with the components.

### getDataSets

    public SlotHandle getDataSets()

  Description copied from class: `ModuleHandleImpl`
  Returns a slot handle to work with the data sets within the report. Note that the order of the data sets within the slot is unimportant.

  Overrides:
    `getDataSets` in class `ModuleHandleImpl`
  Returns:
    A handle for working with the data sets.

### getDataSources

    public SlotHandle getDataSources()

  Description copied from class: `ModuleHandleImpl`
  Returns a slot handle to work with the data sources within the report. Note that the order of the data sources within the slot is unimportant.

  Overrides:
    `getDataSources` in class `ModuleHandleImpl`
  Returns:
    A handle for working with the data sources.

### getFlattenParameters

    public java.util.List getFlattenParameters()

  Description copied from class: `ModuleHandleImpl`
  Returns the flatten Parameters/ParameterGroups of the design. This method put all Parameters and ParameterGroups into a list then return it. The return list is sorted by on the display name of the parameters.

  Overrides:
    `getFlattenParameters` in class `ModuleHandleImpl`
  Returns:
    the sorted, flatten parameters and parameter groups.

### getMasterPages

    public SlotHandle getMasterPages()

  Description copied from class: `ModuleHandleImpl`
  Returns a slot handle to work with the master pages within the report. Note that the order of the master pages within the slot is unimportant.

  Overrides:
    `getMasterPages` in class `ModuleHandleImpl`
  Returns:
    A handle for working with the master pages.

### getParameters

    public SlotHandle getParameters()

  Description copied from class: `ModuleHandleImpl`
  Returns a slot handle to work with the top-level parameters and parameter groups within the report. The order that the items appear within the slot determines the order in which they appear in the "requester" UI.

  Overrides:
    `getParameters` in class `ModuleHandleImpl`
  Returns:
    A handle for working with the parameters and parameter groups.

### imagesIterator

    public java.util.Iterator imagesIterator()

  Description copied from class: `ModuleHandleImpl`
  Returns the iterator over all embedded images of this module instance. Each one is the instance of `EmbeddedImageHandle`

  Overrides:
    `imagesIterator` in class `ModuleHandleImpl`
  Returns:
    the iterator over all embedded images.
  See Also:
    `EmbeddedImageHandle`

### replaceConfigVariable

    public void replaceConfigVariable(ConfigVariable oldVar,
                                      ConfigVariable newVar)
                               throws SemanticException

  Description copied from class: `ModuleHandleImpl`
  Replaces the old config variable with the new one.

  Overrides:
    `replaceConfigVariable` in class `ModuleHandleImpl`
  Parameters:
    `oldVar` - the old config variable
    `newVar` - the new config variable
  Throws:
    `SemanticException` - if the old config variable is not found or the name of new one is empty.

### replaceImage

    public void replaceImage(EmbeddedImage oldVar,
                             EmbeddedImage newVar)
                      throws SemanticException

  Description copied from class: `ModuleHandleImpl`
  Replaces the old embedded image with the new one.

  Overrides:
    `replaceImage` in class `ModuleHandleImpl`
  Parameters:
    `oldVar` - the old embedded image
    `newVar` - the new embedded image
  Throws:
    `SemanticException` - if the old image is not found or the name of new one is empty.

### getAllStyles

    public java.util.List getAllStyles()

  Description copied from class: `ModuleHandleImpl`
  Returns all style element handles that this modules and the included modules contain.

  Overrides:
    `getAllStyles` in class `ModuleHandleImpl`
  Returns:
    all style element handles that this modules and the included modules contain.

### getVisibleThemes

    public java.util.List getVisibleThemes(int level)

  Description copied from class: `ModuleHandleImpl`
  Returns theme handles according the input level.

  Overrides:
    `getVisibleThemes` in class `ModuleHandleImpl`
  Parameters:
    `level` - an `int` value, which should be the one defined in `IVisibleLevelControl`.
  Returns:
    theme handles according the input level

### getVisibleReportItemThemes

    public java.util.List<ReportItemThemeHandle> getVisibleReportItemThemes(int level,
                                                                            java.lang.String type)

  Description copied from class: `ModuleHandleImpl`
  Returns report item theme handles according the input level.

  Overrides:
    `getVisibleReportItemThemes` in class `ModuleHandleImpl`
  Parameters:
    `level` - an `int` value, which should be the one defined in `IVisibleLevelControl`.
  Returns:
    theme handles according the input level

### getParametersAndParameterGroups

    public java.util.List getParametersAndParameterGroups()

  Description copied from class: `ModuleHandleImpl`
  Returns parameters and parameter groups on the module. Those parameters included in the parameter groups are not included in the return list.

  Overrides:
    `getParametersAndParameterGroups` in class `ModuleHandleImpl`
  Returns:
    parameters and parameter groups

### getAllPages

    public java.util.List getAllPages()

  Description copied from class: `ModuleHandleImpl`
  Returns all page handles that this modules and the included modules contain.

  Overrides:
    `getAllPages` in class `ModuleHandleImpl`
  Returns:
    all page handles that this modules and the included modules contain.

### shiftLibrary

    public void shiftLibrary(LibraryHandle library,
                             int toPosn)
                      throws SemanticException

  Description copied from class: `ModuleHandleImpl`
  Shifts the library to new position. This method might affect the style reference, because the library order is changed.

  Overrides:
    `shiftLibrary` in class `ModuleHandleImpl`
  Parameters:
    `library` - the library to shift
    `toPosn` - the new position
  Throws:
    `SemanticException` - if error is encountered when shifting

### includeLibrariesIterator

    public java.util.Iterator includeLibrariesIterator()

  Description copied from class: `ModuleHandleImpl`
  Returns the iterator over all included libraries. Each one is the instance of `IncludeLibraryHandle`

  Overrides:
    `includeLibrariesIterator` in class `ModuleHandleImpl`
  Returns:
    the iterator over all included libraries.
  See Also:
    `IncludedLibraryHandle`

### includeLibrary

    public void includeLibrary(java.lang.String libraryFileName,
                               java.lang.String namespace)
                        throws DesignFileException,
                               SemanticException

  Description copied from class: `ModuleHandleImpl`
  Includes one library with the given library file name. The new library will be appended to the library list.

  Overrides:
    `includeLibrary` in class `ModuleHandleImpl`
  Parameters:
    `libraryFileName` - library file name
    `namespace` - library namespace
  Throws:
    `DesignFileException` - if the library file is not found, or has fatal error.
    `SemanticException` - if error is encountered when handling `IncludeLibrary` structure list.

### dropLibrary

    public void dropLibrary(LibraryHandle library)
                     throws SemanticException

  Description copied from class: `ModuleHandleImpl`
  Drops the given library from the included libraries of this design file.

  Overrides:
    `dropLibrary` in class `ModuleHandleImpl`
  Parameters:
    `library` - the library to drop
  Throws:
    `SemanticException` - if error is encountered when handling `IncludeLibrary` structure list. Or it maybe because that the given library is not found in the design. Or that the library has descedents in the current module

### reloadLibrary

    public void reloadLibrary(LibraryHandle libraryToReload)
                       throws SemanticException,
                              DesignFileException

  Description copied from class: `ModuleHandleImpl`
  Reloads the library with the given library file path. If the library already is included directly, reload it. If the library is not included, exception will be thrown.

  Call this method cautiously ONLY on the condition that the library file is REALLY changed outside. After reload successfully, the command stack is cleared.

  Overrides:
    `reloadLibrary` in class `ModuleHandleImpl`
  Parameters:
    `libraryToReload` - the library instance
  Throws:
    `SemanticException` - if error is encountered when handling `IncludeLibrary` structure list. Or it maybe because that the given library is not found in the design. Or that the library has descedents in the current module
    `DesignFileException` - if the library file is not found, or has fatal error.

### reloadLibraries

    public void reloadLibraries()
                         throws SemanticException,
                                DesignFileException

  Description copied from class: `ModuleHandleImpl`
  Reloads all libraries this module included.

  Call this method cautiously ONLY on the condition that the library file is REALLY changed outside. After reload successfully, the command stack is cleared. `ModuleHandleImpl.reloadLibrary(LibraryHandle)`

  Overrides:
    `reloadLibraries` in class `ModuleHandleImpl`
  Throws:
    `SemanticException`
    `DesignFileException`

### reloadLibrary

    public void reloadLibrary(java.lang.String reloadPath)
                       throws SemanticException,
                              DesignFileException

  Description copied from class: `ModuleHandleImpl`
  Reloads the library with the given library file path. If the library already is included directly or indirectly(that is, the reload path could be the path of grandson of this module), reload it. If the library is not included, exception will be thrown.

  Call this method cautiously ONLY on the condition that the library file is REALLY changed outside. After reload successfully, the command stack is cleared.

  Overrides:
    `reloadLibrary` in class `ModuleHandleImpl`
  Parameters:
    `reloadPath` - this is supposed to be an absolute path, not in url form.
  Throws:
    `SemanticException` - if error is encountered when handling `IncludeLibrary` structure list. Or it maybe because that the given library is not found in the design. Or that the library has descedents in the current module
    `DesignFileException` - if the library file is not found, or has fatal error.

### dropLibraryAndBreakExtends

    public void dropLibraryAndBreakExtends(LibraryHandle library)
                                    throws SemanticException

  Description copied from class: `ModuleHandleImpl`
  Drops the given library from the design and break all the parent/child relationships. All child element will be localized in the module.

  Overrides:
    `dropLibraryAndBreakExtends` in class `ModuleHandleImpl`
  Parameters:
    `library` - the given library to drop
  Throws:
    `SemanticException` - if errors occured when drop the library.It may be because that the library is not found in the design or that some elements can not be localized properly.

### openCssStyleSheet

    public CssStyleSheetHandle openCssStyleSheet(java.lang.String fileName)
                                          throws StyleSheetException

  Description copied from class: `ModuleHandleImpl`
  Gets the result style sheet with given file name of an external CSS2 resource.

  Overrides:
    `openCssStyleSheet` in class `ModuleHandleImpl`
  Parameters:
    `fileName` - the file name of the external CSS resource
  Returns:
    the `CssStyleSheetHandle` if the external resource is successfully loaded
  Throws:
    `StyleSheetException` - thrown if the resource is not found, or there are syntax errors in the resource

### openCssStyleSheet

    public CssStyleSheetHandle openCssStyleSheet(java.io.InputStream is)
                                          throws StyleSheetException

  Description copied from class: `ModuleHandleImpl`
  Gets the result style sheet with given file name of an external CSS2 resource.

  Overrides:
    `openCssStyleSheet` in class `ModuleHandleImpl`
  Parameters:
    `is` - the input stream of the resource
  Returns:
    the `CssStyleSheetHandle` if the external resource is successfully loaded
  Throws:
    `StyleSheetException` - thrown if the resource is not found, or there are syntax errors in the resource

### setThemeName

    public void setThemeName(java.lang.String themeName)
                      throws SemanticException

  Description copied from class: `ModuleHandleImpl`
  Sets the theme to a report.

  Overrides:
    `setThemeName` in class `ModuleHandleImpl`
  Parameters:
    `themeName` - the name of the theme
  Throws:
    `SemanticException`

### setTheme

    public void setTheme(ThemeHandle theme)
                  throws SemanticException

  Description copied from class: `ModuleHandleImpl`
  Sets the theme to a report.

  Overrides:
    `setTheme` in class `ModuleHandleImpl`
  Parameters:
    `theme` - the theme instance
  Throws:
    `SemanticException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.